Subject: RE: [NSIS] Support needed for Throughput Adaptive QoS in wireless

From: "Schneider, Marco" <[email-masked]>
Date: Wed, 23 Jan 2002 12:09:46 -0600

Hi Gabor, All

This type of functionality concerns me. The network segment you speak of
could be employing any number of mechanisms to help achieve its part of the
end-to-end QOS. If we are to consider such notification is must be done in a
manner that is independent of mechanism. 

Marco

-----Original Message-----
From: [email-masked]
[mailto:[email-masked]]
Sent: Wednesday, January 23, 2002 4:51 AM
To: [email-masked]
Cc: [email-masked]
Subject: Re: [NSIS] Support needed for Throughput Adaptive QoS in
wireless

Paulo,

Paulo Mendes wrote :

> Considering all the references to RSVP in this thread, the amount of 
> resources reserved in the network can be the information to supply 
> applications with. However this information is only useful if the 
> network has per-flow reservation end-to-end, which isn't always true. If 
> some kind of data aggregation in used in (part of) the network, e.g. 
> DiffServ, the information that applications require from NSIS if not the 
> amount of resources reserved to the DiffServ class/service they are 
> using, but the amount of those resources that are allocated to their 
> session.
> 

[GF]
In my view it can also be useful if the NSIS protocol allows a certain
network segment to notify the host about the available resources either
at call setup time or during the call even there is aggregation in
some part(s) of the network. 

That is, the support of re-negotiation and adaptivity can be a 
useful feature even if there is no per-flow resource reservation end-to-end.

An example of such a situation is a wireless access link that has
its own wireless reosurce manager that can notify the application 
about the wireless link status. Since the application runs over IP,
the wireless link manager needs to communicate with the IP level 
signaling entity in order to do this notification. 
[GF]

/Gabor

_______________________________________________
nsis mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/nsis

_______________________________________________
nsis mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/nsis

---

From: Paulo Mendes <[email-masked]>
Date: Thu, 24 Jan 2002 16:21:31 -0500

Hi Marco

I agree with you. Probably NSIS could have a notification functionality 
retrieving information only from domain borders, where per-flow 
information is (edge-to-edge behaviour).

Paulo

-- 
| Paulo Mendes
| www.cs.columbia.edu/~mendes